Talk:Tracking Dependencies

From Inkscape Wiki
Jump to: navigation, search
from Tracking Dependencies #Distros
«Note: This table is not relevant to (non-fink) MacOS X, where we ship the desired version with Inkscape.»

I don't fully understand this comment: after all, the required libraries must be available (compiled and installed) somewhere to create the packages…

  1. Fink has not been used for creating the official packages of Inkscape for Mac OS X for quite some time now - the packaging scripts completely depend on MacPorts (see CompilingMacOsX).
  2. If a required version of a library never was ported, or is no longer or only partially functional on current darwin/osx (e.g. recently seen with GIO, or any unforeseen issues with migrating from gtk2 to gtk3, let alone any missing features in the Quartz backend of Gtk+ if Inkscape decides to ship native builds without X11 dependency), this will affect (or prevent) creating the official packages - Inkscape can't ship what isn't there or in a broken state (I'm not aware that anyone does cross-compile Universal packages for osx on linux?).
  3. MacPorts officially does not support older systems (same policy as Apple: the current version (Lion) and the one before (Snow Leopard)) - it really depends on whether a port has a maintainer willing to take care to support Tiger and Leopard (32bit, PPC & Intel) as well.
  4. off-topic here: OTOH the current packaging routines for the app launcher are not compatible with Xcode available for Snow Leopard and Lion: the xcodeproject only builds as 32bit app on legacy Mac OS X 10.5.8 Leopard (dependency on deprecated Carbon headers and 'SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk', no longer provided with latest Xcode versions).

-- ~suv 16:10, 29 December 2011 (UTC)